Page 3 of 33 FirstFirst 1234513 ... LastLast
Results 21 to 30 of 327

Thread: AMD 8.41.7 Display Driver Released -- The Holy Crap Edition!

  1. #21
    Join Date
    Aug 2007
    Posts
    15

    Default

    Some interesting stuff in my X log

    NOTE: I'm prefacing this by saying I didn't look for this under 8.40

    (==) AIGLX enabled

    (II) fglrx(0): DRI initialization successfull!

    (II) fglrx(0): Direct rendering enabled

    However, at the end I get

    (EE) AIGLX error: DRIAuthConnection failed
    (EE) AIGLX: reverting to software rendering


    So.... close....

  2. #22
    Join Date
    Sep 2007
    Posts
    122

    Default

    I'm running Ubuntu Feisty, fully updated, and just installed the ATI driver via the "automatic" installer. Everything went fine, but I cannot load the module and because of that not start Xorg with fglrx active:

    Code:
    [  586.296000] [fglrx] Maximum main memory to use for locked dma buffers: 403 MBytes.
    [  586.296000] [fglrx] ASYNCIO init succeed!
    [  586.296000] [fglrx] PAT is enabled successfully!
    [  586.296000] [fglrx:firegl_init_module] *ERROR* firegl_stub_register failed
    The card is an X200M...

  3. #23
    Join Date
    Sep 2007
    Posts
    27

    Default

    hi ,

    the release note says it support ati hd 2400 series under the "ATI Desktop and Integrated Product Family Support" section.

    What about my Ati Mobility Radeon HD 2400 ?? Nothing about it in this note ...

    Do you think it can work or do i have to wait for a future release .....

  4. #24
    Join Date
    Jan 2007
    Posts
    23

    Default

    Great. People are having huge problems. No 2.6.23, no AIGLX.

    I said it would suck, and it sucked. I might not even download it... ATI did it again. Michael did it again.
    Could you just stop spreading so much never-to-be-fulfilled BS?

    Quote Originally Posted by Xipeos View Post
    1 week from now, if the new driver is as bad as you say, we'll all hail you as the new Nostradamus predictor@home. Until then stfu, you have no real basis for your predictions.
    I didn't STFU because I had a very strong feeling I would be right. And obviously I was.
    Now you hail me, bitch

    One more month. One more bugfix? Cause from what I can see on the notes of .41, the "Known Issues"-list has basically not stopped growing.

    Could you who haven't understood it yet, please get this straight: ATI SUCKS UNTIL PROVEN OTHERWISE.

    And no proof yet. Next month? Don't count on it. But count on Michael, he da man!

    EDIT:
    By the way... Oktoberfest, Michael? "Down-right failure" seems more right... But but..

    You da man Michael, you da man!
    Last edited by opera; 09-12-2007 at 12:39 PM.

  5. #25
    Join Date
    Jun 2006
    Posts
    3,046

    Default

    Quote Originally Posted by slacker View Post
    uhm, it says:

    Caution: The AMD Proprietary Linux driver version 8.41.7 is not recommended for the ATI Mobility and Integrated Products. Using this driver on any of the following products may result in stability issues. AMD recommends using the AMD Proprietary Linux software driver version 8.40.4.

    I got an X1400 mobility, should I risk?
    I think it's more likely to be in regards to things like suspend/resume than much of anything else (as in it don't work- heh...)- and possibly Hypermemory support.

    I'll brave it with my Xpress200M shortly and see if the RS480 support's moderately stable with Hypermemory- and what the suspend/hibernate/resume behaviors are. I'm gifting my mother with that laptop shortly so if I mess it up too badly it's not a big loss- just burn it down, start over.

  6. #26

    Default

    Here is the warning AMD will make you agree with before downloading the driver once it officially appears at AMD.com:

    The AMD Proprietary Linux driver version 8.41 is recommended for the ATI Radeon HD 2000 family only.

    AMD recommends users of cards other than the ATI Radeon HD 2000 family continue to use the currently posted drivers for that product available for download on http://ati.amd.com/

    Future releases will return to a unified driver supporting all product
    families.

    How this affects users:
    Using this driver may result in stability issues on non-Workstation products. This driver will not work with any ATI FireGL or ATI FireMV products.

    How this affects distribution maintainers and packagers:
    This driver is not suitable for inclusion in distributions and is
    recommended to not be packaged into any mainstream distribution update. Distribution vendors may repackage and provide experimental packages, but should include the above warning to users.

  7. #27
    Join Date
    Sep 2007
    Location
    Michigan, USA
    Posts
    10

    Default

    I just installed the new driver, but now X won't start...

    Code:
    (II) LoadModule: "GLcore"
    (II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
    (II) Module GLcore: vendor="X.Org Foundation"
            compiled for 7.2.0, module version = 1.0.0
            ABI class: X.Org Server Extension, version 0.3
    (II) GLX: Initialized MESA-PROXY GL provider for screen 0
    
    Backtrace:
    0: /usr/X11R6/bin/X(xf86SigHandler+0x81) [0x80c5d91]
    1: [0xffffe420]
    2: /usr/lib/xorg/modules//glesx.so [0xb5c6ea24]
    3: /usr/lib/xorg/modules//glesx.so [0xb5c6809c]
    4: /usr/lib/xorg/modules//glesx.so [0xb5bfb3fb]
    5: /usr/lib/xorg/modules//glesx.so [0xb5c0d196]
    6: /usr/lib/xorg/modules//glesx.so [0xb5bfa3d9]
    7: /usr/lib/xorg/modules//glesx.so [0xb5c23c12]
    8: /usr/lib/xorg/modules//glesx.so [0xb5c11ebd]
    9: /usr/lib/xorg/modules//glesx.so [0xb5c13469]
    10: /usr/lib/xorg/modules//glesx.so [0xb5b9a6e3]
    11: /usr/lib/xorg/modules//glesx.so [0xb5b8ff88]
    12: /usr/lib/xorg/modules//glesx.so [0xb5b90670]
    13: /usr/lib/xorg/modules//glesx.so(esutInit+0x74) [0xb5b8f484]
    14: /usr/lib/xorg/modules//glesx.so [0xb5b8b17b]
    15: /usr/lib/xorg/modules//glesx.so(GlesxExtensionInit+0x9b) [0xb5b8a3fb]
    16: /usr/X11R6/bin/X(InitExtensions+0xa2) [0x80f4412]
    17: /usr/X11R6/bin/X(main+0x2af) [0x807459f]
    18: /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xdc) [0xb7d94ebc]
    19: /usr/X11R6/bin/X(FontFileCompleteXLFD+0x1e1) [0x8073ab1]
    
    Fatal server error:
    Caught signal 11.  Server aborting
    I really hope this is something that can be fixed to get working... I've been stuck with a largely worthless AGP X1600 512mb card for weeks now. I was really looking foward to this driver release.

    EDIT: I see from Michael's post above that basically this driver release is pretty much worthless for anyone other than the handful of people running an HD2000 series card?

    !!!!
    Last edited by phreadom; 09-12-2007 at 12:44 PM.

  8. #28
    Join Date
    Dec 2006
    Posts
    112

    Default

    Quote Originally Posted by opera View Post
    One more month. One more bugfix? Cause from what I can see on the notes of .41, the "Known Issues"-list has basically not stopped growing.
    It's not only that. The "Known Issues" list would be at least ten times the size it is, if they would acknowledge all the bugs on the unofficial bugzilla that have been confirmed by many, many users.

  9. #29
    Join Date
    Jan 2007
    Location
    Germany
    Posts
    2,175

    Default

    Please try it for yourself before complaining.

    I can confirm R500 bugs with Nexuiz and Xmoto. I can confirm performance improvements all over the place. I can confirm AA/AF not avaible in the AMDCCCLE for 8.41.

    8.42 will not only have AIGLX, but also a lot of bugfixes for non-R600 cards (like AMD said).

  10. #30

    Default

    Quote Originally Posted by Z1Kenobi View Post
    hi ,

    the release note says it support ati hd 2400 series under the "ATI Desktop and Integrated Product Family Support" section.

    What about my Ati Mobility Radeon HD 2400 ?? Nothing about it in this note ...

    Do you think it can work or do i have to wait for a future release .....
    It should work.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •